Skip to main content
POST
/
comments
/
resolve
Resolve comment
curl --request POST \
  --url https://api.surefeedback.com/api/v1/comments/resolve \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "comment_id": "<string>"
}
'
{
  "success": true,
  "data": {
    "id": "990e8400-e29b-41d4-a716-446655440004",
    "status": "resolved",
    "resolved_at": "2026-03-02T14:00:00Z",
    "resolved_by": { "id": "...", "name": "Jane Smith" }
  }
}
Marks a comment as resolved. Resolved comments remain visible but are visually distinguished from open ones.

Request body

comment_id
string
required
UUID of the comment to resolve.
{
  "success": true,
  "data": {
    "id": "990e8400-e29b-41d4-a716-446655440004",
    "status": "resolved",
    "resolved_at": "2026-03-02T14:00:00Z",
    "resolved_by": { "id": "...", "name": "Jane Smith" }
  }
}